/*
 * Copyright 1999-2002,2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.cocoon.portal.event;


/**
 * <tt>Register</tt> allows a <tt>Subscriber</tt> to subscribe to 
 * and unsubscribe from <tt>EventManager</tt>.
 *  
 * @author <a href="mailto:cziegeler@s-und-n.de">Carsten Ziegeler</a>
 * @author <a href="mailto:volker.schmitt@basf-it-services.com">Volker Schmitt</a>
 * @author Mauro Talevi
 * 
 * @version CVS $Id: Register.java 30932 2004-07-29 17:35:38Z vgritsenko $
 */
public interface Register {
    
     /**
      * Subscribes a Subscriber to the EventManager.  
      * The Subscriber abstracts all the information needed for the subscription.
      * @param subscriber the Subscriber
      * @see Subscriber
      */
     void subscribe( Subscriber subscriber );
    
     /**
      * Unsubscribes an Subscriber from the EventManager.
      * @param subscriber the Subscriber 
      * @see Subscriber
      */
     void unsubscribe( Subscriber subscriber );
     
} 


