/*
 * Copyright 2005 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.cocoon.portal.profile;

/**
 * Information about the current portal user.
 * This object decouples the portal from the used authentication method.
 * 
 * @author <a href="mailto:cziegeler@s-und-n.de">Carsten Ziegeler</a>
 * @version SVN $Id: PortalUser.java 149059 2005-01-29 19:05:22Z cziegeler $
 */
public interface PortalUser {
    
    /**
     * @return Returns the group.
     */
    String getGroup();

    /**
     * @return Returns the userName.
     */
    String getUserName();
    
    boolean isUserInRole(String role);
}
